commit:     21b33fa9c0e8bada22798ee2bee227bf4a54bd57
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 13 16:00:30 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Dec 13 16:00:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21b33fa9

www-apps/cgp: implicit json

Add implicit json for >=dev-lang/php-8.0

Closes: https://bugs.gentoo.org/758986
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 www-apps/cgp/cgp-1_p20190510-r1.ebuild | 56 ++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/www-apps/cgp/cgp-1_p20190510-r1.ebuild 
b/www-apps/cgp/cgp-1_p20190510-r1.ebuild
new file mode 100644
index 00000000000..ec6e271ecbb
--- /dev/null
+++ b/www-apps/cgp/cgp-1_p20190510-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+MY_PN="${PN^^}"
+MY_PV="fd8fa70739d18d786e88f7ffa57e250e0e41af8f"
+
+DESCRIPTION="A graphical web-based front-end for visualizing RRD collected by 
collectd"
+HOMEPAGE="https://github.com/pommi/CGP";
+SRC_URI="https://github.com/pommi/${MY_PN}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="CC-BY-2.0 GPL-2+ GPL-3 MIT"
+KEYWORDS="amd64 x86"
+
+RDEPEND="
+       dev-lang/php[json(+)]
+       net-analyzer/rrdtool[graph]
+       virtual/httpd-php
+"
+
+need_httpd_cgi
+
+S="${WORKDIR}/${MY_PN}-${MY_PV}"
+
+DOCS=( "README.md" "doc/CHANGELOG" "doc/nginx.conf" )
+
+PATCHES=( "${FILESDIR}/${P}-double-quote.patch" )
+
+src_install() {
+       webapp_src_preinst
+
+       einstalldocs
+
+       # Since the docs are already installed, remove them from htdocs
+       # The file doc/CHANGELOG is needed, as CGP reads from there it's version
+       rm -r .gitignore LICENSE doc/nginx.conf || die
+
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       webapp_pkg_postinst
+
+       einfo "The command shell_exec must not be disabled"
+       einfo "through the disable_functions php.ini directive."
+       einfo "It must allow execution of the rrdtool program."
+       einfo ""
+       einfo "An configuration file for www-servers/nginx"
+       einfo "has been installed as an example."
+}

Reply via email to